---
title: LUG Constitution
---

## Article 1. Name

This organization shall be referred to as the Linux Users Group at the
University of California, Los Angeles (LUG@UCLA). The University of  California,
Los Angeles will hereafter in this document be referred to  as "UCLA," or "the
University."

## Article 2. Statement of Purpose

Linux is both a powerful, freely-available computer operating system and a
fascinating sociological event with few parallels, the product of an
international programmer community that exists independently of any  national
boundaries.

The LUG@UCLA's purpose is to facilitate learning, creativity, and the
advancement of computer science. To accomplish this goal, LUG@UCLA  promotes the
use of the Linux operating system at UCLA by encouraging  its use among
students, faculty, staff, and University departments; by  providing a support
network for Linux users; and by building a library  of Linux- related materials.

In attempting to promote the use of Linux, we also encourage  programming under
this operating system in the form of  student-coordinated projects. LUG@UCLA
student projects must benefit the UCLA community, the Linux community, or any
subsets of the two. All  software produced under the auspices of LUG@UCLA shall
be distributed  under the GNU General Public License, or the GNU Lesser General
Public  License, as appropriate.

The group will have any number of projects being worked on at a  given time,
each with its own methods of organization and  responsibility. The sole
limitation on such projects is that they fall  within the rules and focus of
LUG@UCLA.

## Article 3. Membership

### Section 1. General Membership

LUG@UCLA grants membership to anyone who asks for it. There shall be no
membership fee or interviews.

### Section 2. Policy of Non-discrimination

LUG@UCLA, in accordance with applicable Federal and State law and University
Policy, does not discriminate on the basis of race, color, national  origin,
religion, sex, disability, age, medical condition, ancestry,  marital status,
citizenship, sexual orientation, or status as a veteran  of the Armed Forces.

LUG@UCLA also prohibits sexual harassment. This  non-discrimination policy
covers organization membership, access to  organization programs and activities,
and the general treatment of  members in the organization.

## Article 4. Offices and Elections

LUG@UCLA shall operate on a collaborative style of leadership, employing one
President, three Vice-Presidents, and one Treasurer. LUG@UCLA shall  elect
officers once per academic year or as necessary. Only members  currently
enrolled as UCLA undergraduate and graduate students are  eligible to hold
office. All members of the group are allowed to vote in elections of the
LUG@UCLA.

We will use the approval voting system. Voters select which  candidates they
approve of (they can select multiple), and the candidate with the most approvals
wins.

Ties will be broken by a game of SuperTuxKart.

### President

This individual is the official liaison to the University, handles all  school
administrative issues, and is responsible for the group, its  regular LUG or
Officer meetings, dealing with other clubs, giving  direction on LUG activity
projects, and the delegation of tasks to be  carried out on behalf of the LUG.
This individual is one of the 3  signatories at club registration time.

### Vice President / External

This officer handles corporate relations, letters of thanks, company visits,
guest speakers, room reservations, and arranging for a food sponsor at
Installfests, etc. This individual is one of the 3 signatories at club
registration time.

### Vice President / Marketing

The Marketing Director is responsible for the general improvement of the
groups's reputation and profile through advertisement and other means,
organizing materials & club T-shirts for quarterly events &  resource fairs,
directing publicity for the LUG, and growing LUG  identity and spirit.

### Vice President / Internal

Internally, this person is responsible for the System Admin in the Lug lounge,
general hardware upkeep and maintenance of the Lounge and its  appearance, and
is general ombudsman.

### Treasurer

The treasurer transfers LUG student club account funds and clears
reimbursements. This person handles any financial matters, including  making
financial records available to authorized University officials  upon request.
This individual is one of the 3 signatories at club  registration time.
Leadership will act analogous to package maintainers  in the open-source world.
Anyone in the club is free to submit “patches” to the club. Officers should be
involved in any meaningful changes to  the club, but should not have absolute
authority on patches to the club.

## Article 5. Meetings

LUG@UCLA shall hold general meetings at least once a quarter. The meetings shall
be open to the public—membership is not a requisite to attend.

## Article 6. Amendments to the Constitution

This constitution may be amended by a two-thirds vote of the Membership at a
General Meeting or a Special Meeting called for the purpose of voting  to amend
the constitution.

## Article 7. Provision to Make Financial Records Available

Financial records can be made available to University Officials upon request.
Said requests can be submitted electronically via email and must provide a
detailed description of the type of records requested.
