---
title: RDP guide
date: 2024-05-24
author: David Z
---

Many classes require using the UCLA SEASNet Remote Desktop. For example 115C requires you 
to use Cadence (yuck). Microsoft's Remote Desktop Protocol is proprietary, but there are
open source clients which can connect to it. Here are three ways of connecting which work well.
Please note that you need to be on the UCLA VPN.

## Using FreeRDP (Most reliable)
In order to use FreeRDP to connect, start by downloading the .rdp file from [here](https://rds.seaslab.seas.ucla.edu/RDWeb/Pages/en-US/Default.aspx)

Then run the following command in terminal:
```
xfreerdp <filename>.rdp /u:<username> /p:<password> /gd:rds.seaslab.seas.ucla.edu/RDWeb/Feed/webfeed.aspx /dynamic-resolution
```
Do not put `seaslab\` before your username, otherwise you will not be able to log in. 
## Using Remmina (More user-friendly)
Remmina is a more user-friendly way of connecting. It has nice features (like being able to fullscreen or resize the window).

To use it, simply download the .rdp file and then enter in your username and password. Nothing else needs to be done.

Sometimes, the rdp file will not work. This may be because the server domain changed. In order to get the correct domain, you
can use the previous method. Look for the line which looks like this:
```
[02:39:22:381] [19509:19510] [WARN][com.freerdp.crypto] - CN = vmsrv07-rdsh01.seaslab.seas.ucla.edu
```
In this case, we can see that the server domain is `vmsrv07-rdsh01.seaslab.seas.ucla.edu`, which is different from the
domain listed in the RDP file (`VMSRV08-RDCB02.SEASLAB.SEAS.UCLA.EDU` in my case). To fix this, right click in Remmina on the 
connection, select Edit, then replace the domain under "Server" in the Basic tab.

## Using SSH (Most direct way)
If you are using MobaXTerm, you might have noticed that Cadence actually lives on a RHEL server. You are basically
connecting to a Windows server, and then using an application on Windows (which implements SSH X forwarding) to connect back
to a Linux server. It's obvious that Windows is just a "middleman" and that you actually don't need it.

You can take the RHEL server's address straight from MobaXterm (for me, it's `eeapps02.seas.ucla.edu`). Then, type the
following command: 
```
ssh -X -C <username>@eeapps02.seas.ucla.edu
```
And you're done!

